%define major   0.9.6
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:       podofo
Version:    0.9.6
Release:    %mkrel 1
Summary:    Tools and libraries to work with the PDF file format
Group:      Publishing
License:    GPL and LGPL
URL:        http://podofo.sourceforge.net
Source0:    http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:     podofo-0.9.3-fix-test-type.patch
Patch1:     podofo-0.9.4-freetype.patch
# https://sourceforge.net/p/podofo/tickets/30/
Patch2:     podofo-0.9.6-pkg-config.patch

# Backport patch for CVE-2018-5783
# https://sourceforge.net/p/podofo/code/1949
Patch10:        podofo_CVE-2018-5783.patch
# Backport patch for CVE-2018-11254
# https://sourceforge.net/p/podofo/code/1941
Patch11:        podofo_CVE-2018-11254.patch
# Backport patch for CVE-2018-11255
# https://sourceforge.net/p/podofo/code/1952
Patch12:        podofo_CVE-2018-11255.patch
# Backport patch for CVE-2018-11256
# https://sourceforge.net/p/podofo/code/1938
Patch13:        podofo_CVE-2018-11256.patch
# Backport patch for CVE-2018-12982
# https://sourceforge.net/p/podofo/code/1948
Patch14:        podofo_CVE-2018-12982.patch
# Backport patch for CVE-2018-14320
# https://sourceforge.net/p/podofo/code/1953
Patch15:        podofo_CVE-2018-14320.patch
# Backport patch for CVE-2018-19532
# https://sourceforge.net/p/podofo/code/1950
Patch16:        podofo_CVE-2018-19532.patch
# Backport patch for CVE-2018-20751
# https://sourceforge.net/p/podofo/code/1954
Patch17:        podofo_CVE-2018-20751.patch
# Backport patch for CVE-2019-9199
# https://sourceforge.net/p/podofo/code/1971/
Patch18:        podofo_CVE-2019-9199.patch
# Backport patch for CVE-2019-9687
# https://sourceforge.net/p/podofo/code/1969
Patch19:        podofo_CVE-2019-9687.patch

# Downstream patch for CVE-2019-20093
# https://sourceforge.net/p/podofo/tickets/75/
Patch20:        podofo_CVE-2019-20093.patch
# Proposed patch for CVE-2018-12983
# https://sourceforge.net/p/podofo/tickets/23/
Patch21:        podofo_CVE-2018-12983.diff
# https://sourceforge.net/p/podofo/tickets/101/
Patch22:        podofo_maxbytes.patch

BuildRequires:  cmake
BuildRequires:  lua5.3-devel
BuildRequires:  pkgconfig(cppunit)
BuildRequires:  pkgconfig(fontconfig)
BuildRequires:  pkgconfig(freetype2)
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(libidn)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(zlib)

%description
PoDoFo is a library to work with the PDF file format. The name comes from
the first letter of PDF (Portable Document Format). A few tools to work
with PDF files are already included in the PoDoFo package.

The PoDoFo library is a free, portable C++ library which includes classes
to parse PDF files and modify their contents into memory. The changes can be
written back to disk easily. The parser can also be used to extract
information from a PDF file (for example the parser could be used in a PDF
viewer). Besides parsing PoDoFo includes also very simple classes to create
your own PDF files. All classes are documented so it is easy to start writing
your own application using PoDoFo.


%package -n %{libname}
Summary:    Runtime library for %{name}
Group:      System/Libraries
License:    LGPLv2+

%description -n %{libname}
Runtime library for %{name}.


%package -n %{devname}
Summary:    Development files for %{name} library
Group:      Development/Libraries
License:    LGPLv2+
Requires:   %{libname} = %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files and documentation for the %{name} library.


%prep
%setup -q
%apply_patches

# fix pkgconfig file version
sed -i 's|@PODOFO_VERSION@|@PODOFO_SOVERSION@|' src/libpodofo.pc.in

%build
mkdir -p "test/TokenizerTest/objects"

%cmake -DPODOFO_BUILD_SHARED=1
%cmake_build

%install
%cmake_install

%files
%doc COPYING
%{_bindir}/%{name}*

%files -n %{libname}
%{_libdir}/lib%{name}.so.%{major}

%files -n %{devname}
%{_includedir}/%{name}/
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/lib%{name}.pc
%{_mandir}/man1/%{name}*.1*


%changelog
* Fri Dec 18 2020 tex - 0.9.6-1pclos2020
- new version
